------------------------------------------------------------------------------------
--Name：            220622[简体征服][活动脚本]全球七夕活动-主NPC
--Creator:      陈莺
--Created:     2022-06-22
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>299

--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(82,84)
local Player_2=CppScriptMgr:AddSimplePlayer(1062500,84,84,"[God of Sun] Apollo",0,0)
Player_2:SetZoomPercent(200)
local Player_1=CppScriptMgr:QueryHero()
local player_Name_1=Player_1:GetName()
Player_1:SetZoomPercent(150)
Player_1:SetPos(81,88)
Player_1:SetDir(6)
CppScriptMgr:WaitMilSec(1000)
Player_2:SetAction(230)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("God`s blessing is always there with you!",1000)
CppScriptMgr:NpcCallOut("God`s blessing is always there with you!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc26069",150,430,"Apollo",250,655)
CppScriptMgr:WaitMilSec(1000)
local Effect_1=CppScriptMgr:AddEffect("zsl_zhanshitai",70,72,33)
Effect_1:Scale(3,3,3)
CppScriptMgr:WaitMilSec(1000)
local Effect_2=CppScriptMgr:AddEffect("zhuzi1",82,84,33)
local Effect_3=CppScriptMgr:AddEffect("CSGX_jin",81,88,33)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Wow! That`s amazing!",1000)
CppScriptMgr:NpcCallOut("Wow! That`s amazing!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcQiXi2022",150,430,player_Name_1,250,655)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)
